Telegram APIContacts
contacts.importContactToken
Obtain user info from a temporary profile link.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Obtain user info from a temporary profile link.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/contacts.importContactToken" \ -H "Content-Type: application/json" \ -d '{ "params": { "token": "string" } }'{ "result": { "_": "userEmpty", "id": 0 }}importContacts
Imports contacts: saves a full list on the server, adds already registered contacts to the contact list, returns added contacts and their info. Use `contacts.RawAddContactRequest` to add Telegram contacts without actually using their phone number.
resetSaved
Removes all contacts without an associated Telegram account.